﻿using Kivii;
using Njhg.Third.Semir.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njhg.Third.Semir.Transforms
{
    #region 森马对接订单接口返回数据结构
    public class SemirOrderResponse
    {
        public int code { get; set; }

        public string message { get; set; }

        public SemirOrderResults data { get; set; }
    }

    public class SemirOrderResults
    {
        public int recordsTotal { get; set; }
        public string resp_code { get; set; }
        public string message { get; set; }
        public string errors { get; set; }
        public List<SemirOrder> results { get; set; }
    }
    #endregion

    #region 获取订单接口
    [Route(Configs.RouteGetWtsList)]
    public class SemirOrderGetWtsList : IReturn<SemirOrderResponse>
    {
        [ApiMember(Description = "客户分配L")]
        public string token { get; set; }

        [ApiMember(Description = "时间(从)可填")]
        public DateTime begin_time { get; set; }

        [ApiMember(Description = "时间(到)可填")]
        public DateTime end_time { get; set; }

        [ApiMember(Description = "返回记录数(可填，默认为10)")]
        public int length { get; set; }

        [ApiMember(Description = "记录偏移量(可填,默认为0)")]
        public int start { get; set; }
    }

    [Route(Configs.RouteGetWtsData)]
    public class SemirOrderGetWtsData : IReturn<SemirOrderResponse>
    {
        [ApiMember(Description = "客户分配L")]
        public string token { get; set; }

        [ApiMember(Description = "委托书编号")]
        public string doc_no { get; set; }
    }


    [Route(Configs.RouteAcceptWts)]
    public class SemirOrderConfirmAccept : IReturn<SemirOrderResponse>
    {
        public string token { get; set; }

        public string DOC_NO { get; set; }
    }
    #endregion
}
